export function pollingReducer(polling, action) {
  switch (action.type) {

    case "toggleOnOff":
      return {
        ...polling,
        enabled: !polling.enabled
      };

    case "games":
      return {
        ...polling,
        games: action.value
      };

    case "leaderboard":
      return {
        ...polling,
        leaderboard: action.value
      };

    default:
      throw Error("Unknown action: " + action.type);
  }
}

export const pollingDefaults = {
  enabled: true,

  games: false,
  leaderboard: false,
};
